/* Port of TextMate's Blackboard theme */

.cm-s-blackboard.CodeMirror {
  background: #1f2335;
  color: #f8f8f8;
}
.cm-s-blackboard div.CodeMirror-selected {
  background: #3d59a1;
}
.cm-s-blackboard .CodeMirror-line::selection,
.cm-s-blackboard .CodeMirror-line > span::selection,
.cm-s-blackboard .CodeMirror-line > span > span::selection {
  background: rgba(37, 59, 118, 0.99);
}
.cm-s-blackboard .CodeMirror-line::-moz-selection,
.cm-s-blackboard .CodeMirror-line > span::-moz-selection,
.cm-s-blackboard .CodeMirror-line > span > span::-moz-selection {
  background: rgba(37, 59, 118, 0.99);
}
.cm-s-blackboard .CodeMirror-gutters {
  background: #16161e;
  border-right: 0;
}
.cm-s-blackboard .CodeMirror-guttermarker {
  color: #fbde2d;
}
.cm-s-blackboard .CodeMirror-guttermarker-subtle {
  color: #888;
}
.cm-s-blackboard .CodeMirror-linenumber {
  color: #888;
}
.cm-s-blackboard .CodeMirror-cursor {
  border-left: 1px solid #a7a7a7;
}

.cm-s-blackboard .cm-keyword {
  color: #aa9af7;
}
.cm-s-blackboard .cm-atom {
  color: #8dce6a;
}
.cm-s-blackboard .cm-number {
  color: #8dce6a;
}
.cm-s-blackboard .cm-def {
  color: #8da6ce;
}
.cm-s-blackboard .cm-variable {
  color: #ff9e50;
}
.cm-s-blackboard .cm-operator {
  color: #aa9af7;
}
.cm-s-blackboard .cm-comment {
  color: #aeaeae;
}
.cm-s-blackboard .cm-string {
  color: #61ce3c;
}
.cm-s-blackboard .cm-string-2 {
  color: #61ce3c;
}
.cm-s-blackboard .cm-meta {
  color: #8dce6a;
}
.cm-s-blackboard .cm-builtin {
  color: #8da6ce;
}
.cm-s-blackboard .cm-tag {
  color: #8da6ce;
}
.cm-s-blackboard .cm-attribute {
  color: #8da6ce;
}
.cm-s-blackboard .cm-header {
  color: #ff9e50;
}
.cm-s-blackboard .cm-hr {
  color: #aeaeae;
}
.cm-s-blackboard .cm-link {
  color: #8da6ce;
}
.cm-s-blackboard .cm-error {
  background: #9d1e15;
  color: #f8f8f8;
}

.cm-s-blackboard .CodeMirror-activeline-background {
  background: #3c3636;
}
.cm-s-blackboard .CodeMirror-matchingbracket {
  outline: 1px solid grey;
  color: white !important;
}
